1.0
1.0
get /v1/budgets/account
Description
get account budgets list
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | search_name optional | Budget name Example : my_budget_ex | any of [string, null] | None |
| query | budget_name optional | Budget name Example : my_budget_ex | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BudgetAccountPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/budgets/account
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = budget 1.0"
Example HTTP response
Response 200
{
"budgets": [
{
"amount": 1000000,
"created_at": "2025-11-01T00:00:00",
"created_by": "TEST",
"id": "240200fd2b02490ca63bb3965048b493",
"modified_at": "2025-11-01T00:00:00",
"modified_by": "TEST",
"name": "my_budget_ex",
"start_month": "2025-11",
"type": "COST",
"unit": "MONTHLY"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}